/* GTK+ - The GIMP ToolKit
 * Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 * BeOS Port
 * Copyright (C) 1999 EventLoop, Inc.
 *   Shawn T. Amundson <amundson@gtk.org>
 *   James Mitchell <mitchell@eventloop.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/*
 * Modified by the GTK+ Team and others 1997-1999.  See the AUTHORS
 * file for a list of people on the GTK+ Team.  See the ChangeLog
 * files for a list of changes.  These files are distributed with
 * GTK+ at ftp://ftp.gtk.org/pub/gtk/.
 */


#include "gtk_bapp.h"
#include <iostream.h>
#include <gtk/gtk.h>

extern "C" {
void gtk_bapp_init (void);
void gtk_bapp_run (void);
}

GtkBApp::GtkBApp(const char *signature)
  : GdkBApp(signature)
{
}

void
GtkBApp::Pulse()
{
/*
  while (gtk_events_pending ())
    gtk_main_iteration ();
*/
  while (g_main_iteration(FALSE)) ;
}

void
gtk_bapp_init (void)
{
  if (!be_app)
    new GtkBApp(GTK_APP_SIGNATURE);
}

void
gtk_bapp_run (void)
{
  be_app->SetPulseRate(100000);
  be_app->Run();
}

